### Signal

# Gdk Surface::event

since: 4.0

#### Declaration

    gboolean
    event (
      GdkSurface* self,
      GdkEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when GDK receives an input event for `surface`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`event`

  Type: `GdkEvent`

  An input event.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to indicate that the event has been handled.